Subject: Re: bug#3643: emacs -Q doesn't fit on the user's screen

From: Chong Yidong <[email-masked]>
Date: Fri, 29 Jan 2010 11:36:20 -0500

Stefan Monnier <[email-masked]> writes:

> So I think Emacs should try to do a better job choosing a default size,
> based on the screen size, such that the default size (including WM
> decorations) is not larger than the screen.

I think a good interim solution is to change the default font from
Monospace-12 to Monospace-10.  On most monitors, Monospace-12 is far too
large to be usable (10 is the default in Gnome installations IIUC), and
40 lines of 12-point text cause the Emacs frame to increase past the
height of most desktop areas.

WDYT?